[API Reference](../README.md) > [SchemeWrapper](../interfaces/SchemeWrapper.md)



# Interface: SchemeWrapper

## Implemented by

* [ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)
* [GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)
* [GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)
* [SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)
* [UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)
* [VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)
* [VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)


## Methods
<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

► **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)



*Defined in [iContractWrapperBase.ts:185](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L185)*





**Returns:** [SchemePermissions](../enums/SchemePermissions.md)





___

<a id="getParameters"></a>

###  getParameters

► **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:182](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L182)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash)   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="getSchemeParameters"></a>

###  getSchemeParameters

► **getSchemeParameters**(avatarAddress: *[Address](../#Address)*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:184](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L184)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="getSchemePermissions"></a>

###  getSchemePermissions

► **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`.<[SchemePermissions](../enums/SchemePermissions.md)>



*Defined in [iContractWrapperBase.ts:186](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L186)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[SchemePermissions](../enums/SchemePermissions.md)>





___

<a id="setParameters"></a>

###  setParameters

► **setParameters**(params: *`any`*): `Promise`.<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)[Hash](../#Hash)>



*Defined in [iContractWrapperBase.ts:183](https://github.com/daostack/arc.js/blob/9063ecdf/lib/iContractWrapperBase.ts#L183)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| params | `any`   |  - |





**Returns:** `Promise`.<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)[Hash](../#Hash)>





___


